iPod touch just help

Discussion in 'Jailbreaks and iOS Hacks' started by clark1992, Feb 20, 2014.

  1. clark1992 macrumors newbie

    Joined:
    Feb 20, 2014
    #1
    Hi im just new to apple devices and iOS stuffs

    i got an ipod touch 4g from a friend and its jailbreak iOS 4.2.1 i dont know if its jailbreak everytime i click cydia it just open and do nothing and close

    just a bit of research the good for this one is iOS 4.3.3 can i update onto that one?
    sry im just a newbie here
     
  2. BrettApple macrumors 65816

    BrettApple

    Joined:
    Apr 3, 2010
    Location:
    Heart of the midwest
    #2
    iOS 4.2.1 is actually a great version for the 4th gen. I run it on mine personally, but I don't use many apps at all. Mostly for music.

    4.3.3 is also good as it opens it up to newer apps and safari is improved, though it has a little less free ram.

    Anyway, you can go to 4.3.3, but ONLY if you have SHSH blobs for it. Such as if it was on it at one point or jail broken on it you may be in luck. Most likely though, the previous owner never went beyond 4.2.1. In that case the only place you can go is to 6.1.5. Or save the SHSH using tiny umbrella (probably from cydia's server) and restore 4.2.1 to get it working properly.

    For instance, I've jail broken and saved almost every version of iOS I've been on. So I have SHSH blobs for 4.2.1, 4.3.3, 5.0.1, 6.1 etc. so I can freely switch between them. But I'm in the minority.

    Another thought is that cydia's is just messed up and you might be able to fix it by rerunning the jail break tool. I think it was greenp0ison or something for 4.2. It's been a while.
     
  3. clark1992 thread starter macrumors newbie

    Joined:
    Feb 20, 2014
    #3
    thanks for the fast and clear reply anyways i just called my friend about it and it has no shsh thingy anyway should i stick to 4.2.1 im not an app addict though i play a little on it it has some games installed but mostly i do listen to music okay then let me just do a more research about planning my next move going to iOS 6.1.5 to decide what to do and should i benefit more on it

    ----------

    another thing can i update my ipod 4g to iOS 6.1.5 anytime? i see also that they doesent support older firmwares anymore but the final version available on each generations yes? is the final version always be available for each type on ipod generations?
     
  4. darricksailo macrumors 601

    darricksailo

    Joined:
    Dec 18, 2012
    #4
    download the latest version of ifaith and dump your blobs. this will essentially create 4.2.1 blobs for you (or whatever version your ipod touch 4th gen is one)

    note: this only works for devices with a bootrom exploit

    make sure to keep the local copy of the .ifaith blobs! they will be crucial for you to re-restore or downgrade to that version

    with those blobs, give restoring to 4.3.3 (via a custom ipsw) a try. if it works, give 6.1.5 a try and see if you like that version more. if not, you can downgrade back to 4.3.3

    also consider that once you upgrade and decide to downgrade, you may lose access to a lot of apps from that device (unless you "transfer purchases" and backed it up to your itunes and those apps are associated to your itunes account)
     
  5. clark1992 thread starter macrumors newbie

    Joined:
    Feb 20, 2014
    #5
    ayy i dont know if this is done with bootrom exploit thing then i cant make blobs with ifaith? D:
     
  6. darricksailo macrumors 601

    darricksailo

    Joined:
    Dec 18, 2012
    #6
    the ipod touch 4th gen has a bootrom exploit, so you will be able to make blobs with ifaith. just follow the instructions i posted up above (just the simple instructions with the downloading ifaith and the option you click; the rest, the program will guide you)
     
  7. clark1992 thread starter macrumors newbie

    Joined:
    Feb 20, 2014
    #7
    ok thanks ill just wait for ios 6.1.6 jailbreak
     
  8. alphaod macrumors Core

    alphaod

    Joined:
    Feb 9, 2008
    Location:
    NYC
    #8
    iOS 6.1.6 is already jailbroken.
     
  9. darricksailo macrumors 601

    darricksailo

    Joined:
    Dec 18, 2012
    #9
    it's already jailbroken, you just have to tether jailbreak it with redsn0w and install the latest version of p0sixspwn from cydia

    that is, until the standalone application is updated (according to ih8sn0w, this is on a low priority)
     
  10. clark1992 thread starter macrumors newbie

    Joined:
    Feb 20, 2014
    #10
    Hi I just got my neighbors wifi password and a new problem I confirm that my Cydia isn't working T-T would I still to be able to rejailbreak this one? If can how? Sorry for annoying x.x
     
  11. darricksailo macrumors 601

    darricksailo

    Joined:
    Dec 18, 2012
    #11
    what's wrong with your cydia?

    and yes, you can restore to 6.1.6 in itunes (make sure to choose the "restore" option, and not "update"!")

    download evasi0n 1.0.6 from http://evasi0n.com/

    and then jailbreak
     
  12. clark1992 thread starter macrumors newbie

    Joined:
    Feb 20, 2014
    #12
    My Cydia isn't opening at all im just worrying not to be able to go back to iOS 4.2.1 when I go to iOS 6 because I don't know if this iPod I am holding is a jailbreaked im all set to ios 6 i got all instructions on my hand is just that this problem came out
     
  13. darricksailo macrumors 601

    darricksailo

    Joined:
    Dec 18, 2012
    #13
    if the ipod touch is on 4.2.1 and there are possibilities you plan to downgrade it, then download the latest version of iFaith and dump your SHSH blobs

    that'll give you a .ifaith blob (keep it safe!) and it'll be crucial for whenever you wish to downgrade to 4.2.1 if iOS 6.x is too laggy for you
     
  14. clark1992 thread starter macrumors newbie

    Joined:
    Feb 20, 2014
    #14
    so its not required to jailbreak a idevice to get a shsh blobs?
     
  15. darricksailo macrumors 601

    darricksailo

    Joined:
    Dec 18, 2012
    #15
    Nope. You just need to have an A4 device or under (basically, a bootrom exploit)
     
  16. clark1992 thread starter macrumors newbie

    Joined:
    Feb 20, 2014
    #16
    Hi im back im dumping shsh blobs right now im on windows 8 using the latest ifaith and i got stuck on exploitation is this normal?
     
  17. darricksailo macrumors 601

    darricksailo

    Joined:
    Dec 18, 2012
    #17
    what device do you have?
     
  18. clark1992 thread starter macrumors newbie

    Joined:
    Feb 20, 2014
    #18
    ipod touch 4G ios 4.2.1
     
  19. clark1992 thread starter macrumors newbie

    Joined:
    Feb 20, 2014
    #19
    oh sorry i just dump my shsh blobs now i just tried to do it again

    ----------

    also consider that once you upgrade and decide to downgrade, you may lose access to a lot of apps from that device (unless you "transfer purchases" and backed it up to your itunes and those apps are associated to your itunes account)[/QUOTE]

    can you teach me how to do it?
    all of apps installed on this ipod was installed by other person and his itunes account and credit card etc. can i back up all the apps installed by that person on my ipod touch into my computer and restore it from backup?
     
  20. darricksailo macrumors 601

    darricksailo

    Joined:
    Dec 18, 2012
    #20
    can you teach me how to do it?
    all of apps installed on this ipod was installed by other person and his itunes account and credit card etc. can i back up all the apps installed by that person on my ipod touch into my computer and restore it from backup?[/QUOTE]

    unless you have access to that person's itunes account (apple id & password), you can't bring the apps back onto your device if you restore it
     

Share This Page